<?php

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Modification Swipecart Remote User
 *
 * @package Swipecart
 * @author Manthan Kanani
 * @since 2.5.0
**/
class Swipecart_User {

	/**
	 * Constructor for Swipecart Migrations  
	 *
	 * @author Manthan Kanani   
	 * @since 2.5.0
	**/
	public function __construct(){

	}

	/**
	 * Remte Swipecart create Auth
	 *
	 * @author Manthan Kanani
	 * @since 2.5.0
	**/
	public static function __register() {
		global $swipecart;

		$api 				= new APIClass();
		$webhook  			= new WC_SC_Webhook();
		$authorization 		= new SC_AuthGeneration();
		$body 				= $api->getSiteData(true);
		
		$firstAdminName    	= $body['admin'][0]['display_name'];
		$adminEmail    		= $body['site']['admin_email'];
		$siteShopURL    	= $body['site']['url'];
		$storeFrontToken   	= $body['store']['storeFrontToken'];
		$authSecret 		= $authorization->getAuth('AuthSecret') ?: "";

		$shopURL 			= str_replace(["https://","http://"], "", $siteShopURL);

		$swipecartVersion 	= GeneralUtility::__pluginVersion();

		$registrationData 	= array(
			"full_name" 	=> $firstAdminName,
			"email" 		=> $adminEmail,
			"shop" 			=> $shopURL,
			"woo_token"		=> $storeFrontToken,
			"woo_secret"	=> $authSecret,
			"version" 		=> $swipecartVersion
		);

		$resp = $webhook->__remoteCreateUser(array('body' => $registrationData));

		if($resp['success']){
			return $registrationData;
		}
		return false;
	}

}
