<?php

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Swipecart Integration Initialization
 *
 * @package Swipecart
 * @author Manthan Kanani
 * @since 2.2.0
**/
class SC_Popup{

	/**
	 * constructor for the integration  
	 *
	 * @author Manthan Kanani	
	 * @since 2.2.0
	**/
	public function __construct(){
		add_action('wp_enqueue_scripts', array($this, 'enqueueScripts'));
	}

	/**
	 * Enqueue Scripts  
	 *
	 * @author Manthan Kanani	
	 * @since 2.2.0
	 * @version 2.5.1
	**/
	public function enqueueScripts() {
		if(!is_admin()){
			$siteURL 	= get_site_url();
			$siteURL 	= str_replace(["https://","http://"], "", $siteURL);
			wp_enqueue_script('sc-popup', 'https://rentechassets.s3.amazonaws.com/swipecart/mobile.app.script.min.js?shop='.$siteURL, ['swipecart'], GeneralUtility::__styleVersion());
		}
	}

}
new SC_Popup();